.authentication-page {
    min-height: calc(100vh - 61px);
    max-height: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
}

.form-area,
.text-area {
    width: 50%;
    height: 100%;
    min-height: calc(100vh - 61px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.text-area {
    background-color: #4899FF;
    padding: 60px 40px;
}

.login-form,
.signup-form {
    max-width: 400px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.auth-title {
    font-size: 24px;
    font-weight: 600;
    color: #000;
    margin: 0px !important;
}

.auth-desc {
    color: #55586E;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    margin: 0px !important;
}

.gmail-btn {
    margin: 0px !important;
    padding: 7px 16px;
    border: 1px solid #EAECF0;
}

.divider-var {
    margin: 0px;
}

.for_login,
.for_registration,
.for_forgot_password {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.for_login label,
.for_registration label {
    margin: 0px !important;
}

.remember-forgot-area {
    margin: 0px;
    margin-top: 4px;
}

.signin-btn {
    background: #1E223F;
    border: none;
    color: rgb(255, 255, 255);
    font-size: 16px;
    line-height: 24px;
    width: 100%;
    border-radius: 8px;
    cursor: pointer;
    padding: 8px 16px;
}

#l_email,
#r_name,
#r_email {
    margin-bottom: 4px;
}

.page-switcher {
    color: #55586E;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}

.page-switcher a {
    color: #0984E3;
    text-decoration: none;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
}

.page-switcher a:hover {
    text-decoration: underline;
}

.image-sliding-area {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    width: 100%;
}

.image-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    max-width: 340px;
}

.login_popup_slider_title {
    font-weight: 700;
    font-size: 30px;
    line-height: 36px;
    text-align: center;
    color: #fff;
    width: 100%;
}

.login_popup_slider_detail {
    font-weight: 400;
    font-size: 18px;
    line-height: 28px;
    text-align: center;
    color: #fff;
    width: 100%;
}

.slider1 {
    height: auto;
    width: 100%;
    object-fit: contain;
    max-width: 450px;
}

.action-btn-area {
    position: relative;
    margin: 0;
    padding: 0;
}

#register_captcha,
#login_captcha {
    top: 40px;
    bottom: unset;
}

#reset_password_btn {
    margin: 0px !important;
}

.for_login label,
.for_forgot_password label,
.for_registration label {
    margin: 0;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    color: #1e223f;
}

@media (max-width: 992px) {
    .text-area {
        display: none;
    }

    .authentication-page {
        align-items: flex-start;
        min-height: fit-content;
    }

    .form-area {
        width: 100%;
        height: fit-content;
        min-height: fit-content;
        padding: 24px;
    }
}

.register-page {
    background-color: #F5F7FB;
    padding: 32px 16px 112px 16px;

    .register-page-container {
        max-width: 900px;
        margin: 0 auto;

        display: flex;
        flex-direction: column;
        gap: 30px;

        .page-heading-area {
            display: flex;
            flex-direction: column;
            gap: 10px;

            h1 {
                font-weight: 700;
                font-size: 34px;
                line-height: 40px;
                text-align: center;
                color: #1E223F;
            }

            p {
                font-weight: 400;
                font-size: 18px;
                line-height: 26px;
                text-align: center;
                color: #55586E;
            }
        }

        .register-page-plans {
            display: flex;
            justify-content: center;
            border-radius: 24px;
            /* box-shadow: 0 0 0 1px #EAECF0; */
            background-color: white;

            .free-premium-toggle {
                display: flex;
                justify-content: space-between;
                width: 100%;
                align-items: center;
                display: none;

                button {
                    width: 50%;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    background-color: transparent;
                    color: #AAACB7;
                    font-weight: 600;
                    font-size: 14px;
                    line-height: 24px;
                    padding: 10px 12px;
                    border: none;
                    box-shadow: none;

                    &.active {
                        color: #4899FF;
                        box-shadow: 0 1.5px 0 0 #4899FF;
                    }

                }
            }


            .register-pricing-card {
                padding: 24px;
                width: 100%;
                display: flex;
                flex-direction: column;
                gap: 24px;


                .plan-head {
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    gap: 24px;


                    span {
                        display: flex;
                        flex-direction: column;
                        gap: 4px;

                        h3 {
                            font-weight: 700;
                            font-size: 20px;
                            line-height: 28px;
                            letter-spacing: 0%;
                            color: #1E223F;

                        }

                        p {
                            font-weight: 400;
                            font-size: 14px;
                            line-height: 20px;
                            color: #55586E;

                        }
                    }
                }

                .plan-price {
                    p {
                        font-weight: 700;
                        font-size: 36px;
                        line-height: 42px;
                        color: #1E223F;

                        span {
                            font-weight: 400;
                            font-size: 14px;
                            line-height: 20px;
                            color: #55586E;

                        }

                    }
                }

                .plan-features {
                    display: flex;
                    flex-direction: column;
                    gap: 12px;

                    p {
                        font-weight: 600;
                        font-size: 14px;
                        line-height: 20px;
                        color: #1E223F;
                        display: flex;
                        justify-content: space-between;
                        align-items: center;

                        img {
                            display: none;
                            width: 9px !important;
                            height: 4.5px !important;
                        }
                    }

                    ul {
                        display: none;
                        flex-direction: column;
                        gap: 12px;
                        padding-bottom: 14px;

                        li {
                            font-weight: 400;
                            font-size: 14px;
                            line-height: 20px;
                            color: #55586E;
                            text-decoration: none;
                            display: flex;
                            gap: 8px;
                            width: 100%;

                            >span {
                                font-weight: 400;
                                font-size: 14px;
                                line-height: 20px;
                                color: #55586E;
                                text-decoration: none;
                                margin-right: -5px;
                            }
                        }
                    }
                }

                .upgrade-plan-btn {
                    width: fit-content !important;
                    border-radius: 8px;
                    padding: 8px 16px;
                    gap: 8px;
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 24px;
                    color: #FFFFFF;
                    background-color: #1E223F;
                    text-align: center;
                    cursor: pointer;
                }
            }

            .free-plan-card {
                display: none;
                max-width: 300px;
                border-right: 1px solid #EAECF0;
            }

            .other-plans-card {

                .plan-toggler {
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    padding: 4px;
                    border-radius: 12px;
                    background-color: #F7FAFC;
                    box-shadow: 0 0 0 1px #E7EBF3;

                    .plan-toggle-btn {
                        background-color: transparent;
                        border: none;
                        outline: none;
                        padding: 6px 12px;
                        border-radius: 8px;
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 24px;
                        cursor: pointer;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        color: #55586E;

                        &.active {
                            background-color: #fff;
                            box-shadow: 0px 1px 2px 1px #00000014;
                            color: #4899FF;
                        }

                        span {
                            font-weight: 500;
                            font-size: 12px;
                            line-height: 16px;
                            background: radial-gradient(63.24% 100% at 50% 0%, #FFAC88 0%, #FF4C34 100%);
                            -webkit-background-clip: text;
                            -webkit-text-fill-color: transparent;
                            padding-left: 4px;
                        }
                    }
                }

                .pricing-plans-cards {
                    display: flex;
                    flex-wrap: wrap;
                    gap: 8px;


                    label {
                        width: calc(50% - 8px);
                        height: fit-content;
                        padding: 12px;
                        border-radius: 12px;
                        box-shadow: 0 0 0 1.5px #EAECF0;
                        position: relative;
                        cursor: pointer;

                        &:hover {
                            background-color: #F9FAFB;
                        }

                        &.active,
                        &:has(input:checked) {
                            box-shadow: 0 0 0 1.5px #0984E3;
                            background-color: #F5F7FB;
                        }

                        &:hover {
                            background-color: #fff;
                        }

                        input {
                            appearance: none;
                            -webkit-appearance: none;
                            position: absolute;
                            top: 9px;
                            right: 9px;
                            height: 14px;
                            width: 14px;
                            border: 1px solid #EAECF0;
                            border-radius: 50%;
                            background: #fff;
                            cursor: pointer;
                            display: flex;
                            align-items: center;
                            justify-content: center;
                        }

                        input:checked {
                            border: 1.5px solid #4899FF;
                        }

                        input::before {
                            content: "";
                            width: 8px;
                            height: 8px;
                            background: transparent;
                            border-radius: 50%;
                        }

                        input:checked::before {
                            background: #0984E3;
                        }

                        span {

                            p {
                                font-weight: 400;
                                font-size: 12px;
                                line-height: 18px;
                                color: #55586E;

                            }

                            .plan-price {
                                margin-top: 4px;
                                font-weight: 800;
                                font-size: 20px;
                                line-height: 26px;
                                color: #1E223F;


                                span {
                                    font-family: Roboto;
                                    font-weight: 400;
                                    font-size: 14px;
                                    line-height: 20px;
                                    color: #85878E;

                                }

                            }
                        }
                    }
                }


                .plan-features {
                    ul {
                        flex-direction: row;
                        flex-wrap: wrap;
                        padding-bottom: 0px !important;

                        li {
                            width: calc(50% - 6px);
                        }
                    }
                }

                .plan-action-btns {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    gap: 8px;

                    .compare-plans {
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 24px;
                        text-align: center;
                        text-decoration: underline;
                        color: #1E223F;
                        cursor: pointer;

                    }

                    .upgrade-plan-btn {
                        background-color: #4899FF;
                        color: #fff;
                    }
                }
            }
        }

        .premium-tools-included {

            display: flex;
            flex-direction: column;
            gap: 20px;

            p {
                font-weight: 700;
                font-size: 14px;
                line-height: 20px;
                text-align: center;
                color: #1E223F;
            }

            .tool-list {
                display: flex;
                align-items: center;
                justify-content: space-between;
                gap: 12px;
                -webkit-mask-image: linear-gradient(90deg, transparent, #000 10%, #000 90%, transparent);
                mask-image: linear-gradient(90deg, transparent, #000 10%, #000 90%, transparent);
                padding: 3px 0px 1px 0;

                a {
                    width: fit-content;
                    padding: 8px 16px;
                    border-radius: 16px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    gap: 10px;
                    background-color: #fff;
                    font-weight: 400;
                    font-size: 12px;
                    line-height: 16px;
                    color: #1E223F;
                    cursor: pointer;
                    white-space: nowrap;
                    transition: all 0.3s ease-in-out;

                    &:hover {
                        box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
                        transform: translateY(-3px);
                    }
                }

            }
        }

        .register-footer-content,
        .register-footer-content a {
            font-weight: 400;
            font-size: 14px;
            line-height: 20px;
            text-align: center;
            color: #55586E;

            a {
                text-decoration: underline;
            }
        }
    }

    @media (max-width: 887px) {
        .register-page-plans {
            flex-direction: column;

            .free-plan-card {
                order: 2;
                width: 100%;
                max-width: 100% !important;
                border-right: none !important;
                border-top: 1px solid #EAECF0;
            }

            .other-plans-card {
                order: 1;
            }
        }

        .premium-tools-included {

            .tool-list {
                flex-wrap: wrap;
                justify-content: center !important;
            }

        }
    }

    @media(min-width: 601px) {
        .plan-features {
            ul {
                display: flex !important;
            }
        }

        .free-plan-card {
            display: flex !important;
        }
    }

    @media (max-width: 600px) {
        & {
            padding: 32px 16px 32px 16px !important;
        }

        .page-heading-area {
            display: flex;
            flex-direction: column;
            gap: 10px;

            h1 {
                font-weight: 700;
                font-size: 24px;
                line-height: 32px;
                text-align: center;
                color: #1E223F;
            }
        }

        .free-premium-toggle {
            display: flex !important;
            flex-direction: row !important;
            flex-wrap: nowrap !important;
            gap: 0px !important;
        }

        .plan-head {
            display: flex;
            flex-direction: column !important;


            >span,
            >div {
                width: 100% !important;
            }

            .plan-toggler button {
                width: 100% !important;
            }
        }

        .free-plan-card {
            border: none !important;
        }

        .plan-features {

            p {
                cursor: pointer;
                width: 100% !important;

                img {
                    display: block !important;
                    transition: all 0.3s ease-in-out;

                    &.rotate {
                        transform: rotate(180deg);
                    }
                }
            }

            ul {
                display: none;
            }
        }
    }
}